Crashpad

Public Types | Public Attributes | List of all members
crashpad::ClientToServerMessage Struct Reference

The message passed from client to server by SendToCrashHandlerServer(). More...

`#include "util/win/registration_protocol_win.h"`

## Public Types
enum | Type : uint32_t
| Indicates which field of the union is in use. More...

## Public Attributes
enum crashpad::ClientToServerMessage::Type | type
union {
RegistrationRequest registration
ShutdownRequest shutdown
}; |

## Detailed Description

The message passed from client to server by SendToCrashHandlerServer().

## Member Enumeration Documentation

## ◆ Type

enum crashpad::ClientToServerMessage::Type : uint32_t

Indicates which field of the union is in use.

Enumerator
kRegister | For RegistrationRequest.
kShutdown | For ShutdownRequest.
kPing | An empty message sent by the initial client in asynchronous mode. No data is required, this just confirms that the server is ready to accept client registrations.

The documentation for this struct was generated from the following file:

- util/win/registration_protocol_win.h